SDL_GetScancodeFromName(3)

NAME
SDL_GetScancodeFromName - Get a scancode from a human-readable name.

SYNOPSIS
#include <SDL3/SDL_keyboard.h>

SDL_Scancode SDL_GetScancodeFromName(const char *name);

FUNCTION PARAMETERS

name
    the human-readable scancode name.

RETURN VALUE
Returns the SDL_Scancode, or SDL_SCANCODE_UNKNOWN if the name wasn't recognized; call SDL_GetError() for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetKeyFromName(3), SDL_GetScancodeFromKey(3), SDL_GetScancodeName(3)